clear all;
close all;
clc;

cd D:\dynare\4.6.4\examples\fluc_consum;
load hz_data_q_struct ;   %%查涛的数据202206

%在Fiscal Regime中实现模拟，设定参数，计算稳态值。
  Initialization;
  alpha_G = alpha_R;
    g_Y     = 15.0/100  ;   % labor tax revenue to GDP ratio
    rho_g   = 0.0  ;
    psi_b   = 0.0 ;   % Lump-sum tax rule
    psi_LR  = 0.00000001   ;   % labor tax rate rule
    psi_g   = 0.0   ;   % spending rule
    phi_pi  = 0.00000001   ;
    phi_x   = 0.0   ;
    phi_dy  = 0.0   ;
FindSS_G ;  

%%内生变量数据
%(1)产出
Y_201904 = exp(hz_data_q_struct.logrealGDP_nipa(284)); 
YY_data = exp(hz_data_q_struct.logrealGDP_nipa(284:292))*Yss ./ Y_201904;
[YT,YC]=hpfilter(YY_data,1600);
Y_data = YY_data(1) + YC - YC(1) ; 

%(2)消费
C_201904 = exp(hz_data_q_struct.logrealHHC_nipa(284));
CC_data = exp(hz_data_q_struct.logrealHHC_nipa(284:292)) * Css ./ C_201904 ; 
[CT,CC]=hpfilter(CC_data,1600);
C_data=CC_data(1)+ CC - CC(1);

%(3)通货膨胀
CPI_201904 = hz_data_q_struct.CPI(284);
CPI_data = hz_data_q_struct.CPI(284:292) ./ CPI_201904;
[CPIT,CPIC]=hpfilter(CPI_data,1600);
pi_data=CPI_data(1)+ CPIC - CPIC(1);


%%货币-财政政策操作
%(1)利率
shibor_data=[1.9330;2.1260;2.6910;2.7560;2.6350;2.4580;2.4310;2.5000;2.3730;2.0000;1.6730;2.4220];
data_abs_RR = 0.01 * shibor_data(1:9) ;
RR_data = data_abs_RR + 1 ; 

%(2)财政政策
Gov_data=hz_data_q_struct.NominalGovtC(284:292)./hz_data_q_struct.GDPDeflator(284:292);
G_abs_data = Gov_data.* Gss ./Gov_data(1) ;
G_data = G_abs_data ;

cd Dynare ;
dynare Baseline_ZLB_G_Multi ; 
%dynare Baseline_ZLB_G_CrossValidation;




